@font-face {
    font-family: 'Haskoy';
    src: url('/Haskoy-variable.woff2') format('woff2-variations');
    font-style: normal;
    font-display: swap;
    font-weight: 100 800;
}

@font-face {
    font-family: 'Platypi';
    src: url('/Platypi-VariableFont_wght.woff2') format('woff2-variations');
    font-style: normal;
    font-display: swap;
    font-weight: 300 800;
}

@font-face {
    font-family: 'Platypi';
    src: url('/Platypi-Italic-VariableFont_wght.woff2') format('woff2-variations');
    font-style: italic;
    font-display: swap;
    font-weight: 300 800;
}

@font-face {
    font-family: 'Roundo';
    src: url('/Roundo-Variable.woff2') format('woff2-variations');
    font-style: normal;
    font-display: swap;
    font-weight: 200 700;
}

@font-face {
    font-family: 'Venus+';
    src: url('/Venus+Acier.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
    font-weight: 400;
}

@import 'highlight.js/styles/github.css';

/* Variables */

:root {
    --color-primary: rgb(220, 222, 222);
    --color-primary-2: rgb(206,208,208);
    --color-secondary: rgb(22,22,22);
    --color-tertiary: rgb(196,198,198);
    --color-tertiary-2: rgb(186,188,188);
    --color-tertiary-3: rgb(98, 100, 100);
    --color-border: rgb(225, 228, 228);
    --margin-1: 3vmin;
    --margin-2: 4.5vmin;
    --border-radius-1: 0.5rem;
    --border-width: 3px;
    --border-1: 1px solid var(--color-tertiary-2);
    --mask-fader-vertical:
        linear-gradient(
            to bottom,
            transparent 0%,
            var(--color-primary) 6vmin,
            var(--color-primary) calc(100% - 6vmin),
            transparent 100%
        );
}

/* Resets */

*, *::before, *::after {
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
}
  
ul, ol, figure, p, pre {
    margin: 0;
    padding: 0;
}

/* Styles */

body {
    background: var(--color-primary);
    color: var(--color-secondary);
    font-family: 'Platypi', serif;
    /* font-feature-settings: "ss02" 1; */
    font-size: 1.1rem;
    font-weight: 300;
    line-height: 1.6em;
    display: flex;
    overflow-x: hidden;
    margin: 0;
    height: 100dvh;
}

h1, h2, h3, h4 {
    font-family: 'Platypi', serif;
    margin: 0;
    font-weight: 400;
    line-height: 1.2em;
    z-index: 3;
}

h1 {
    font-size: 6vmin;
    margin-top: -2vmin;
    /* margin-bottom: 3vmin; */
}

h2 {
    /* font-family: "Labrada"; */
    font-style: italic;
    font-size: 5vmin;
    font-weight: 300;
    line-height: 1.1em;
    /* margin-top: 3vmin; */
    margin-bottom: 2vmin;
}

h3 {
    font-size: 2.5vmin;
}

h4 {
    font-size: 2vmin;
    font-weight: 300;
    margin-top: 0.5vmin;
}

a {
    all: unset;
    position: relative;
    width: max-content;
    font-weight: 600;
    cursor: pointer;
    transition: font-weight 150ms ease-in-out;
}

/* a:hover {
    font-weight: 800;
} */

/* @media (min-width: 640px) {
    .articles-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 1000px) {
    .articles-grid {
        grid-template-columns: repeat(3, 1fr);
    }
} */

.articles-grid {
    position: relative;
    display: flex;
    flex-flow: column;
    width: 100%;
    height: 100%;
    /* scroll-snap-type: y mandatory;
    scroll-behavior: smooth; */
    scroll-padding-top: 6vmin;
    scroll-padding-bottom: 6vmin;
    padding: 6vmin var(--margin-2);
    overflow-y: scroll;
    /* margin-top: 6vmin; */
    /* grid-template-columns: 1fr; */
    gap: 12vmin;
    position: relative;
    align-items: stretch;
    /* align-items: start; */
    mask-image: var(--mask-fader-vertical);
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */

    /* ::-webkit-scrollbar {
        display: none;
    } */

    .fader-container {
        position: absolute;
        inset: 0;
    }
}

.article {
    position: relative;
    height: max-content;
    flex-shrink: 0;
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 4vmin;
    /* scroll-snap-align: start;
    scroll-snap-stop: always; */
    transition:
        background-color 300ms ease-in-out,
        color 300ms ease-in-out;
}

.article:hover {
    background: var(--color-primary);
    color: var(--color-secondary);
}

.articles-header {
    position: sticky;
    top: 0;
    background: var(--color-primary);
    display: flex;
    flex-flow: column;
    gap: 1vmin;
    padding: var(--margin-1) var(--margin-2);
    /* margin-bottom: 3vmin; */
    z-index: 3;
    border-bottom: var(--border-1);

    p {
        margin: 2vmin 0;
        max-width: 50cqw;
        pointer-events: none;
    }
}

.article-sort-buttons,
.article-filters {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 1rem;
    font-size: 0.85em;

    button {
        all: unset;
        cursor: pointer;
        transition: font-weight 150ms;
    }

    button:hover,
    button.active {
        font-weight: 600;
    }

}

.article-filters {
    margin-top: 1vmin;
    margin-bottom: 1vmin;
    gap: 1rem 2rem;

    div {
        position: relative;
        display: flex;
        align-items: center;
        gap: 1vmin;

        /* label:not(:first-child) {
            margin-left: 4vmin;
        } */

        input,
        select {
            all: unset;
            background: white;
            /* box-shadow: inset 0.25rem 0.25rem 0.5rem rgba(0,0,0,0.2); */
            min-width: 14vmin;
            border: var(--border-width) solid var(--color-tertiary-2);
            /* border-radius: var(--border-radius-1); */
            padding: 0.25rem 0.75rem;
            transition: border 300ms;
            cursor: pointer;
        }

        input {
            cursor: text;
        }
    
    }

    div::after {
        position: relative;
        /* inset: auto 1vmin auto auto; */
        color: var(--color-primary);
        content: "▼";
        margin-left: -2rem;
        pointer-events: none;
        transition: color 300ms;
    }

    div:hover {
        input,
        select {
            border: var(--border-width) solid var(--color-secondary);
        }
    }

    div:hover::after {
        color: var(--color-secondary);
    }
}

.article-image {
    position: sticky;
    top: 0;
    width: 100%;
    max-height: 100%;
    object-fit: contain;
    border: 1px solid var(--color-tertiary-2);
    /* margin-top: 6vmin; */
}

.article-info {
    display: flex;
    flex-flow: column;
    gap: 0.75vmin;
    font-size: 0.9em;
    font-weight: 300;
    /* line-height: 1.3em; */
    z-index: 1;
    /* margin: 1vmin 0; */
    /* margin-top: 2vmin; */
    /* padding: 2.25vmin 2.5vmin 2vmin; */
    /* background: var(--color-primary-2); */
    /* border-top:  0.5px solid var(--color-secondary);
    border-bottom:  0.5px solid var(--color-secondary); */

    span {
        font-weight: 600;
    }
}

.article-content,
.article-content-2 {
    display: flex;
    flex-flow: column;
    gap: 1rem;
    max-width: 50cqw;
    white-space: pre-wrap;
    padding: var(--margin-2);

    img {
        max-width: 100%;
        max-height: 100%;
        object-fit: contain;
        border: 1px solid var(--color-tertiary-2);
    }

    a {
        font-weight: 450;
        padding-bottom: 0.15em;
        border-bottom: 1px solid var(--color-tertiary-2);
        transition: border 300ms;
    }

    a:hover {
        border-bottom: 1px solid var(--color-secondary);
    }

    a.article-more {
        display: flex;
        justify-content: center;
        font-size: 1.5rem;
        font-weight: 300;
        font-style: italic;
        color: var(--color-secondary);
        margin-top: 1rem;
        /* margin: 4vmin 4vmin auto auto; */
        transition: border 600ms;
        border-bottom: 1px solid var(--color-tertiary-2);
    }

    a.article-more:hover {
        border-bottom: 1px solid var(--color-secondary);
    }

    /* p {
        margin-bottom: 1rem;
    } */
}

.article-content-2 {
    gap: 0;
    display: flex;
    flex-direction: column;
    padding: 0 var(--margin-2) var(--margin-2);
}

.article-album-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5vmin;
    margin-top: 1vmin;
    padding: 0 2vmin;
}

.article-excerpt {
    /* -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    line-clamp: 5;
    max-height: 8em;
    overflow: hidden;
    display: -webkit-box;
    min-width: 0; */
    padding: 2vmin 0;
    transition: margin 150ms ease-in-out;
}

.article-body h2 {
    margin-top: 3vmin;
}

.article-body img {
    border: none;
    margin-bottom: -0.5rem;
}

button {
    all: unset;
    cursor: pointer;
}

.button {
    border: var(--border-width) solid var(--color-tertiary-2);
    padding: 0 2vmin 0.25vmin;
    font-size: 0.85rem;
    font-weight: 600;
    background: white;
    width: max-content;
}

.button:hover {
    border: var(--border-width) solid var(--color-secondary);
}

.divider-h {
    height: 1px;
    width: 5vmin;
    padding-top: 0.5vmin;
    border-bottom: 0.5rem solid var(--color-tertiary-2);
}

footer {
    position: relative;
    font-size: 0.8em;
    line-height: 1.5em;
    width: max-content;
    display: flex;
    flex-flow: column;
    transition: opacity 150ms;

    /* a {
        font-size: 0.7rem;
    } */
}

.gallery-grid {
    position: relative;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 1rem;
    mask-image: var(--mask-fader-vertical);
    height: 100%;
    padding: 6vmin var(--margin-2);
    overflow-y: scroll;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */

    ::-webkit-scrollbar {
        display: none;
    }

    .gallery-item {
        /* overflow: hidden; */
        display: flex;
        flex-flow: column;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        /* pointer-events: auto !important; */
    }
        
    .gallery-item img {
        max-width: 100%;
        max-height: 100%;
        object-fit: contain;
        transition: scale 300ms, box-shadow 300ms;
        border: 1px solid var(--color-tertiary-2);
    }
    
    .gallery-item img:hover {
        scale: 1.05;
        box-shadow: 0 1.5vmin 1rem var(--color-tertiary-2);
    }        

    .gallery-caption {
        padding: 0.5vmin 1.25vmin 1.25vmin;
        font-size: 0.85em;
        line-height: 1.2em;
        display: flex;
        flex-direction: column;
        gap: 0.25vmin;
        text-align: center;
    }
    
    .artist-name {
    font-weight: 600;
    }

    /* .genre {
    color: var(--color-primary);
    } */
    
}


i {
    font-style: italic;
}

#intro-logo {
    position: absolute;
    inset: 0;
    display: none;
    /* display: flex; */
    justify-content: center;
    align-items: center;
    pointer-events: none;

    img {
        width: 66vmin;
    }
}

li {
    margin-left: 1.25rem;
}

.lightbox {
    position: fixed;
    inset: 0;
    padding: 10vmin;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: var(--color-primary);
    z-index: 100;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 300ms ease-in-out, visibility 300ms;

    &.active {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
    }

    .lightbox-image {
        position: absolute;
        max-width: 76dvw;
        max-height: 80dvh;
        opacity: 0;
        transition: opacity 300ms ease-in-out;
        display: flex;

        img {
            object-fit: contain;
            max-width: 100%;
            max-height: 100%;
        }

        &.active {
            opacity: 1;
        }
    }
}

.lightbox-caption {
    position: absolute;
    bottom: 2vmin;
    left: 3vmin;
    right: 3vmin;
    display: grid;
    grid-template-rows: repeat(2, 1fr);
    grid-auto-rows: auto;
    grid-auto-columns: auto;
    grid-auto-flow: column;
    gap: 0.25vmin 0;

    span {
        font-size: 0.85em;
        font-style: italic;
        text-align: end;
    }
}

.lightbox-controls {
    position: fixed;
    inset: 0;
    display: block;
    z-index: 101;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 300ms ease-in-out, visibility 300ms;

    &.active {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
    }

    img {
        height: 100%;
    }

    .lightbox-previous {
        position: absolute;
        left: 3vmin;
        top: 50%;
        translate: 0 -50%;
        height: 6vmin;
        transition: translate 300ms;
    }

    .lightbox-previous:hover {
        translate: -2vmin -50%;
    }

    .lightbox-next {
        position: absolute;
        right: 3vmin;
        top: 50%;
        translate: 0 -50%;
        height: 6vmin;
        transition: translate 300ms;
    }

    .lightbox-next:hover {
        translate: 2vmin -50%;
    }

    .lightbox-close {
        position: absolute;
        top: 3vmin;
        left: 50%;
        translate: -50%;
        height: 2rem;
        transition: translate 300ms;
    }

    .lightbox-close:hover {
        translate: -50% -0.5vmin;
    }
}

.logo {
    position: relative;
    width: 10vmin;
    min-width: 6rem;
    transition: opacity 150ms;
}

main {
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
    overflow: hidden scroll;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */

    ::-webkit-scrollbar {
        display: none;
    }
}

#menu-toggle-mobile {
    display: none;
    position: fixed;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    right: 2rem;
    bottom: 2rem;
    width: max-content;
    height: 3rem;
    padding: 0.5rem 0.75rem;
    z-index: 20;
    background: var(--color-tertiary);
    border: var(--border-1);
    box-shadow: 0 1.5vmin 1rem var(--color-tertiary-2);

    #menu-icon {
        position: relative;
        display: flex;
        flex-flow: column;
        justify-content: center;
        align-items: center;
        gap: 0.5rem;
        height: 2rem;
        width: 2rem;

        .hamburger-line-1,
        .hamburger-line-2,
        .hamburger-line-3 {
            height: 1px;
            width: 2rem;
            border-bottom: 1px solid var(--color-secondary);
            position: relative;
            left: 0%;
            transition: all 200ms;
        }

        .hamburger-line-1.toggled {
            rotate: 45deg;
            position: absolute;
            left: 50%;
            translate: -50% -50%;
        }

        .hamburger-line-2.toggled {
            rotate: -45deg;
            position: absolute;
            left: 50%;
            translate: -50% -50%;
            opacity: 0;
        }

        .hamburger-line-3.toggled {
            rotate: -45deg;
            position: absolute;
            left: 50%;
            translate: -50% -50%;
        }
    }

    .menu-text {
        position: relative;
        display: flex;
        flex-flow: column;
        height: 2rem;
        overflow: hidden;
        margin-top: -2px;

        span {
            line-height: 2rem;
            transition: margin 200ms;
            text-align: end;
        }
    }

    .menu-text.toggled #menu-text-menu {
        margin-top: -2rem;
    }

}

nav {
    display: flex;
    flex-flow: column;
    gap: 1vmin;
    font-size: 0.9em;
    line-height: 1.5em;
    transition: opacity 150ms;

    div {
        display: flex;
        flex-flow: column;
        gap: 0.15em;
    }

    /* div a:not(:first-child) {
        font-weight: 400;
    } */

    a {
        padding: 0.1em 2em 0.1em 0;
        overflow: hidden;
        transition: padding 150ms ease-in-out;
    }

    a::before {
        content: '•';
        position: absolute;
        inset: 0 auto 0 0;
        padding-top: 0.05em;
        opacity: 0;
        translate: -0.25em;
        transition: translate 150ms ease-in-out, opacity 150ms ease-in-out;
    }

    a:hover,
    a.active {
        padding-left: 0.55em;
    }

    a:hover::before,
    a.active::before {
        translate: 0;
        opacity: 1;
    }
}

section#module-left {
    position: sticky;
    padding: var(--margin-2);
    top: 0;
    height: 100vh;
    width: 13em;
    padding: var(--margin-1) 0 var(--margin-1) var(--margin-1);
    display: flex;
    flex-flow: column;
    gap: 2vmin;
    background: var(--color-primary-2);
    border-right: var(--border-1);
    transition: width 300ms, padding 300ms;
    z-index: 10;
    flex-shrink: 0;

    #menu-toggle {
        margin: auto 0 0 auto;
        font-size: 1.5vmin;
        background: var(--color-tertiary);
        padding-bottom: 0.5vmin;
        width: 3vmin;
        height: 6vmin;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        transition: color 300ms, background 300ms;
    }
    
    #menu-toggle:hover {
        background: var(--color-secondary);
        color: var(--color-tertiary);
    }
    
}

section#module-left.collapsed {
    width: 0;
    padding: var(--margin-1) 0;
}

section#module-left.collapsed nav,
section#module-left.collapsed footer,
section#module-left.collapsed .logo {
    opacity: 0;
}

/* section#module-left::before {
    position: absolute;
    inset: 0;
    content: '';
    background: no-repeat center url('/bg_left.webp');
    opacity: 0.033;
    filter: invert();
} */

section.content,
section.content-scrollable {
    position: relative;
    display: flex;
    flex-flow: column;
    height: 100%;
    width: 100%;
}

section.content-scrollable {
    height: max-content;
}

strong {
    font-weight: 600;
}

@media (orientation: portrait) {
    .article {
        grid-template-columns: 1fr;
    }

    .article-content,
    .article-content-2 {
        max-width: 100%;
    }

    .article-image {
        position: relative;
    }

    h1 {
        font-size: 2rem;
    }

    h2 {
        font-size: 1.5rem;
    }

    h3 {
        font-size: 1.25rem;
    }

    h4 {
        font-size: 1rem;
    }

    .lightbox-caption {
        font-size: 1em;
    }

    #menu-toggle-mobile {
        display: flex;
    }

    section#module-left {
        position: fixed;
        display: none;
        inset: 0;
        width: 100%;
        font-size: 1.3em;
        padding: 2rem;

        footer {
            margin-top: auto;
            font-size: 0.66em;
        }

        #menu-toggle {
            display: none;
        }
    }

    section#module-left.toggled {
        display: flex;
    }
}